/*
 * @Author: Kane
 * @Date: 2022-08-23 21:28:26
 * @LastEditors: Kane
 * @LastEditTime: 2022-09-05 23:17:19
 * @FilePath: \tomcat-servlet\src\main\java\com\cpic\xim\ServletTest.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim;

import java.io.IOException;
import java.io.PrintWriter;
import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.servlet.http.HttpSession;


public class ServletTest extends HttpServlet
{

    /*********************************************
     * 测试tomcat 10.x的servlet对象。
     * 
     * @param request
     * @param response
     * @exception ServletException
     * @exception IOException
     ********************************************/
    @Override
    public void doGet( HttpServletRequest request, HttpServletResponse response )
            throws ServletException, IOException
    {
        PrintWriter writer = response.getWriter();
        HttpSession session = request.getSession();

        String sessionID = session.getId();

        response.setContentType( "text/html" );

        writer.write( "<!DOCTYPE html>" );
        writer.write( "<html lang=\"en\">" );
        writer.write( "<head>" );
        writer.write( "<meta charset=\"UTF-8\" />" );
        writer.write( "<meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\" />" );
        writer.write(
                "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\" />" );
        writer.write( "<title>学习JSP</title>" );
        writer.write( "</head>" );
        writer.write( "<body>" );
        writer.write( "我的Session-ID是：" + sessionID );
        writer.write( "</body>" );
        writer.write( "</html>" );
        writer.write( " " );
    }

    /*****************************************************
     * 
     * @param request
     * @param response
     * @exception ServletException
     * @exception IOException
     *****************************************************/
    @Override
    public void doPost( HttpServletRequest request, HttpServletResponse response )
            throws ServletException, IOException
    {
        PrintWriter writer = response.getWriter();

        writer.write( "1" );
        writer.write( "2" );
        writer.write( "3" );
        writer.write( "4" );
    }
}
